#consulting_modal {
	max-width: 100%;
}
#consulting_modal.modal {	
	display: none;
	position: fixed !important;
	height: 100vh;
	z-index: 99;
	top:0;
	left: 0;
	justify-content:center;
	align-items:center;
	width: 100% !important;	
	/* 	overflow: auto; */
	background-color: rgba(0, 0, 0, 0.6) !important;        
}

#consulting_modal .modal-content, #space_modal .modal-content {   
	max-height: 100vh;
	position: relative;
	background: #FCFCFC;
	padding: 80px 45px;
	width: 650px;	
	overflow-y: auto;
	box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.25);
	border-radius: 18px;
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

#consulting_modal .modal-content {
	scrollbar-width: auto;
	scrollbar-color: #333333 #ffffff;
}

.open-consulting-form {
	cursor: pointer;
}

/* Chrome, Edge, and Safari */
@media (min-width: 1200px){
	.modal-content::-webkit-scrollbar {
		width: 10px;
	}

	.modal-content::-webkit-scrollbar-track {
		background: #ffffff;	
		border-radius: 10px;   
	}

	.modal-content::-webkit-scrollbar-thumb {
		background-color: #333333;
		border-radius: 10px;
		border: 3px solid #ffffff;
	}
}

.modal-content .close {
	position: absolute;
	top: 3% !important;
	right:5%;
	font-size: 45px;
	font-weight: bold;
	cursor:pointer;
}

.modal-content form {
	display: flex;
	flex-direction: column;
	gap: 40px;
}

.modal-content .form-header
{
	text-align: left;
}

.modal-content .form-header span {
	font-weight: bold;
	font-size: 16px;
	line-height: 23px;
	padding: 7px 16px;
	border: 1px solid;
	border-radius: 50px;	
}

.modal-content .form-header h2 {
	font-size: 36px;
	line-height:52px;
	font-weight: bold;
	margin-bottom: 0;
}
.modal-content .form-input {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;

}
.modal-content .form-input label {
	font-size: 14px;
	line-height: 20px;
	font-weight: 600;
	margin-bottom: 9px;
	display: flex;
}
.modal-content .form-input label.required:after {
	content: "*";
	color:#B5180B;
}
.modal-content .form-input p select, .modal-content .form-input p input:not([type="checkbox"]):not([type="radio"]) {
	width: 100%;
	height: 45px;
	border-radius: 5px;
	border-color: #d9d9d9;
	background-color: white;
}
.modal-content .form-input textarea {
	display: block;
	line-height: initial;
}
.modal-content .form-input p.short {
	width: 256px;
	margin-bottom: 20px;
}
.modal-content .form-input p.wide, .modal-content div.wide {
	width: 100%;
	margin-bottom: 20px;
}
.form-buttons {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between
}

.modal-content button {	
	flex-grow:1;
	font-size: 16px;
	line-height: 23px;
	padding-top: 13px;
	padding-bottom: 13px;
	border-radius: 5px;
	font-weight: bold;
}

.modal-content button.wide {
	width: 100%;
}

.modal-content .form-input .alert{
	margin-top:8px;
	display: inline-block;
	font-weight: 500;
	font-size: 12px;
	line-height: 17px;
	color: #007AFF;
}

.modal-content details {
	width: 100%;
	margin-bottom: 20px;
}

.modal-content summary
{
	position: relative;
	cursor: pointer;
	border: solid 1px #d9d9d9;
	display: flex;
	height: 45px;
	align-items: center;
	padding: 0 0.75em;
	border-radius: 5px;    
	background-color: white;
}

.modal-content summary:after {
	position: absolute;
	right: 15px;
	content: '\f107';
	font-family: FontAwesome;
}

.modal-content details ul {
	display: grid;
	grid-template-columns: repeat(3, auto);
	justify-content: space-between;
	background: white;
	list-style: none;
	margin: 0px;
	padding: 0.75em 1.5em;
	margin-top: 5px;
	border: 1px solid #d9d9d9; 
	border-radius: 5px;
	row-gap: 15px;
}
.modal-content details li {
	margin: 0px;
	padding: 0px;
}
.modal-content details li input {
	margin-right: 10px;
}
.modal-content details li input[type="checkbox"] {
	margin-right: 8px;
	vertical-align: middle;
	width: 20px;
	height: 20px;
	cursor: pointer;
	border: 1px solid #909090;
	border-radius: 5px;
}
.modal-content .form-input details li label {	
	cursor: pointer;  
	width: 100%;
	font-weight: 500;
	margin-bottom: 0;
}

.modal-content button  {
	background-color: #017bfd;
	color:white;
}

.modal-content button.previous  {
	background-color: white;
	border: 1px solid #007AFF;
	color: #007AFF;
}

.modal-content .confirm_link {
	font-weight: bold;
	text-decoration: underline;
}



.select2-container .select2-selection--single {
	height: 45px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 45px;
	padding-left: 0.75em;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
	display: none;
}

.select2-container--default .select2-results>.select2-results__options {
	max-height: 400px;
}

select, .select2-container .select2-selection--single{
	/* 	background-image: none; */
	background-position-x: calc( 100% - 15px );
	/* 	-webkit-appearance: none;
	-moz-appearance: none;
	appearance:none; */
	outline: 0;
}


.stepper-wrapper {
	width: 100%;
	display: flex;	
	gap: 60px;
	position: relative;		
}

.stepper-wrapper:after {
	content: '';
	position: absolute;
	height: 2px;
	width: 100%;
	bottom: 0;  
	background: #e8e8e8;
}

.stepper-item {
	flex: 1;
	display: block;
	z-index: 1;
	color: #A2A2A2;
	font-size: 20px;
	font-weight: 700;	
}

.stepper-item.active {
	color: #3f3f3f;
}

.stepper-item.active .border {
	width: 100%;
	height: 4px;
	margin-top: 10px;
	border-radius: 20px;
	background: #3f3f3f;
}


.workshop-type {
	border-radius: 12px;
	background: #F4F4F4;
}

@media (max-width: 1199px) {
	.modal-content details ul { 
		grid-template-columns: repeat(2, 1fr);
		padding: 0.75em;
	}
	.select2-container--default .select2-results>.select2-results__options {
		max-height: 300px;
	}
}

@media (max-width: 767px) {
	.select2-results__option {
		font-size: 0.9em;
	}

	.modal-content {  
		height: 90vh;
		padding: 50px 20px !important;
		padding-bottom: 130px;
		/* 		overflow-y: auto;		 */
		border-radius: 0;

	}

	.modal-content .form-input p.short, .form-input .offline-table, .form-input .online-table {
		width: 100%;	
	}

	.modal-content .close {
		font-size: 25px;
		position: absolute;
		top: 8% !important;
	}

}